Resolution: Duplicate Affected version: 1.3.3

Description

When I tried to get data via Rest API with json formatting,

I got an error message saying "Uncaught SyntaxError: Unexpected token :" with Chrome 18, jQuery 1.7.2.

Here is the javascript code :

$(function() {

    $.ajax({

        type : 'GET',

        url : "http://www.redmine.org/trackers.json",

        success : function(data) {

            alert(data);

        },

        dataType : 'jsonp'

    });

});

 But the confusing thing is that the response of the API seems to be valid...

http://www.redmine.org/trackers.json

Then, I tired to call Wikipedia API in the same javascript code,

This was successfully done.

$(function() {

    $.ajax({

        type : 'GET',

        url : "en.wikipedia.org/w/api.php?action=query&titles=redmine&prop=info&redirects=&format=

json",

        success : function(data) {

            alert(data);

        },

        dataType : 'jsonp'

    });

});

Related issues:

Related to Redmine - Feature #11469: JSONP support Closed

History

#1 - 2012-07-20 17:03 - Markus M

First of all, does Redmine-REST-API support JSONP? (I found your issue with google because I was researching, if Redmine supports JSONP. I

need JSONP)

It seems like JSONP is not supported. You can try it with this query for your issue: http://www.redmine.org/issues/10761.json?callback=dd

The response should be:

dd({{"issue":{"author":{"name":"Toshiya TSURU","id":2509},.....})

But it's still:
http://www.redmine.org/trackers.json
http://en.wikipedia.org/wiki/JSONP
http://en.wikipedia.org/wiki/JSONP
http://www.redmine.org/issues/10761.json?callback=dd


{{"issue":{"author":{"name":"Toshiya TSURU","id":2509},.....}

#2 - 2012-07-27 21:59 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

#3 - 2012-07-27 21:59 - Jean-Philippe Lang

JSONP support added in r10088 for 2.1.0.
